Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455536 - rt-setup-kdump needs --help option
Summary: rt-setup-kdump needs --help option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.0.2
: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 21:45 UTC by Clark Williams
Modified: 2008-09-03 19:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-03 19:17:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2008:0865 normal SHIPPED_LIVE tuna, rt-setup, rtctl, and python-linux-procfs enhancement update 2008-09-03 19:17:54 UTC

Description Clark Williams 2008-07-15 21:45:42 UTC
Description of problem:

rt-setup-kdump doesn't handle --help and continues to process kdump config files
in the face of invalid arguments

Version-Release number of selected component (if applicable):
rt-setup-1.1.5.el5rt

How reproducible:
always

Steps to Reproduce:
1. run 'rt-setup-kdump --help'
  
Actual results:

rt-setup-kdump edits kdump config files

Expected results:
should have printed usage message and exitted

Comment 1 Clark Williams 2008-07-15 22:03:03 UTC
rt-setup-1.1.6.el5rt adds --help option to rt-setup-kdump and stops processing
files when invalid arguments are specified.

testing now

Comment 2 Clark Williams 2008-08-14 17:25:51 UTC
Tested to work. Setting to modified for upcoming enhancement errata

Comment 3 Clark Williams 2008-08-14 17:30:19 UTC
Steps to test:

1. Load RHEL5.2 and MRG 1.0.1 (should include rt-setup package)
2. Verify that rt-setup-kdump is there:
    # rt-setup-kdump --help
3. Verify that no entries in /etc/grub.conf contain "crashkernel=" entries
4. As root, run the rt-setup-kdump script:
    # rt-setup-kdump --grub --verbose
5. Verify that at least the latest RHEL5 kernel entry in /etc/grub.conf has the "crashkernel=128M@16M" entry.

Comment 6 errata-xmlrpc 2008-09-03 19:17:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0865.html


Note You need to log in before you can comment on or make changes to this bug.